--- title: "Edit schema description" slug: "ai-application-service-aitems-schema-modifydesc" tags: ["AiTEMS"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-application-service-aitems-schema-modifydesc" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit schema description Available in Classic and VPC Edit schema description. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | PUT | /schemas/{schemaName} | ### Request headers For headers common to all AiTEMS APIs, see [AiTEMS request headers](/docs/en/aiservices-aitems-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `schemaName` | String | Required | Schema name - See [Get schema list](/docs/en/aiservices-aitems-schema-list). | ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | String | Required | Schema description - 0 - 100 characters | ### Request example The following is a sample request. ``` curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/schemas/item_schema' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "content": "description" }' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `datasetType` | String | - | Dataset type - `user` \| `item` \| `interaction` - `user`: data containing user information (age, gender, etc.) - `item`: data with product-related information (price, release date, category, etc.) - `interaction`: data that captures the history of interactions between users and products | | `name` | String | - | Schema name | | `fields` | Array | - | Schema field information: [fields](/docs/en/ai-application-service-aitems-schema-modifydesc#fields) | | `description` | String | - | Schema description | | `createdDate` | String | - | Schema creation date and time | #### `fields` The following describes `fields`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Schema field name | | `type` | Array | - | Schema field data type - `string` \| `int` \| `long` \| `boolean` \| `null` | | `categorical` | Boolean | - | Whether the field is categorical - `true` \| `false` - `true`: categorical data - `false`: uncategorical data - Not displayed when `false` | ### Response status codes For response status codes common to all AiTEMS APIs, see [AiTEMS response status codes](/docs/en/aiservices-aitems-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "datasetType": "item", "name": "item_schema", "fields": [ { "name": "ITEM_ID", "type": [ "string" ] }, { "name": "TAG_ID", "type": [ "int", "long" ] }, { "name": "TAGWEIGHT", "type": [ "int" ] } ], "description": "description", "createdDate": "2024-07-30T08:56:29.040" } ```